GLSA-200907-14 : Rasterbar libtorrent: Directory traversal

This script is Copyright (C) 2009-2014 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-200907-14
(Rasterbar libtorrent: Directory traversal)

census reported a directory traversal vulnerability in
src/torrent_info.cpp that can be triggered via .torrent files.

Impact :

A remote attacker could entice a user or automated system using
Rasterbar libtorrent to load a specially crafted BitTorrent file to
create or overwrite arbitrary files using dot dot sequences in
filenames.

Workaround :

There is no known workaround at this time.

See also :

http://www.gentoo.org/security/en/glsa/glsa-200907-14.xml

Solution :

All Rasterbar libtorrent users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=net-libs/rb_libtorrent-0.13-r1'
All Deluge users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=net-p2p/deluge-1.1.9'

Risk factor :

Medium / CVSS Base Score : 5.8
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P)

Family: Gentoo Local Security Checks

Nessus Plugin ID: 39868 (gentoo_GLSA-200907-14.nasl)

Bugtraq ID:

CVE ID: CVE-2009-1760